# This workflow publishes new documentation to https://chartjs.org/docs/master after every commit
name: Deploy docs

on:
  push:
    branches:
      - master

permissions:
  contents: read

jobs:
  correct_repository:
    permissions:
      contents: none
    runs-on: ubuntu-latest
    steps:
      - name: fail on fork
        if: github.repository_owner != 'chartjs'
        run: exit 1

  build:
    needs: correct_repository
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: pnpm/action-setup@v4.0.0
      - name: Use Node.js
        uses: actions/setup-node@v4
        with:
          node-version: 16
          cache: pnpm
      - name: Package & Deploy Docs
        run: |
          pnpm install
          pnpm run build
          ./scripts/docs-config.sh "master"
          pnpm run docs
          pnpm pack
          ./scripts/deploy-docs.sh "master"
        env:
          GITHUB_TOKEN: ${{ secrets.GH_AUTH_TOKEN }}
          GH_AUTH_EMAIL: ${{ secrets.GH_AUTH_EMAIL }}
